NX Open C++ Reference Guide
|
Represents a builder of edit feature dimensions <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateEditDimensionBuilder Features::FeatureCollection::CreateEditDimensionBuilder @endlink <br>
Default values. More...
Public Member Functions | |
void | AttachToNewGeometry (NXOpen::Annotations::Annotation *dimTag, NXOpen::DisplayableObject *newGeometry) |
Attach the given dimension to new geometry Created in NX8.5.0. | |
NXOpen::Annotations::SelectAnnotation * | Dimension () |
Returns the feature dimension Created in NX6.0.0. | |
bool | DisplayAsPmi () |
Returns the display as pmi flag Created in NX6.0.0. | |
NXOpen::Features::SelectFeatureList * | FeatureSet () |
Returns the list of features Created in NX6.0.0. | |
void | SetDisplayAsPmi (bool displayAsPmi) |
Sets the display as pmi flag Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a builder of edit feature dimensions <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateEditDimensionBuilder Features::FeatureCollection::CreateEditDimensionBuilder @endlink <br>
Default values.
Property | Value |
---|---|
DisplayAsPmi |
0 |
Created in NX6.0.0.
void NXOpen::Features::EditDimensionBuilder::AttachToNewGeometry | ( | NXOpen::Annotations::Annotation * | dimTag, |
NXOpen::DisplayableObject * | newGeometry | ||
) |
Attach the given dimension to new geometry
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
dimTag | dimtag |
newGeometry | newgeometry |
NXOpen::Annotations::SelectAnnotation* NXOpen::Features::EditDimensionBuilder::Dimension | ( | ) |
Returns the feature dimension
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::EditDimensionBuilder::DisplayAsPmi | ( | ) |
Returns the display as pmi flag
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SelectFeatureList* NXOpen::Features::EditDimensionBuilder::FeatureSet | ( | ) |
Returns the list of features
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::EditDimensionBuilder::SetDisplayAsPmi | ( | bool | displayAsPmi | ) |
Sets the display as pmi flag
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
displayAsPmi | displayaspmi |